### Class

# Gm DisplayPanel

since: 0.0.1

#### Description [src]

    final class Gm.DisplayPanel : GObject.Object
    {
      /* No available fields */
    }

Physical properties of a display panel like size, cutouts and rounded corners.

Available since: 0.0.1

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### gm_display_panel_new

Constructs a new display panel object.

since: 0.0.1

###### gm_display_panel_new_from_data

Constructs a new display panel based on the given data. If that fails `NULL` is returned and `error` describes the error that occurred.

since: 0.0.1

###### gm_display_panel_new_from_resource

Constructs a new display panel by fetching the data from the given GResource. If that fails `NULL` is returned and `error` describes the error that occurred.

since: 0.0.1

#### Instance methods

###### gm_display_panel_get_border_radius

Gets the panels border radius. 0 indicates rectangular corners. If top and bottom border radius are different then this matches the top border radius. given applies to all corners of the panel.

deprecated: 0.6.0 since: 0.0.1

###### gm_display_panel_get_corner_radii

Gets the panels border radii starting with the top-left corner clockwise.

since: 0.6.0

###### gm_display_panel_get_corner_radii_array

Gets the panels border radii starting with the top-left corner clockwise.

since: 0.6.0

###### gm_display_panel_get_cutouts

Get the display cutouts.

since: 0.0.1

###### gm_display_panel_get_height

Gets the panels height in mm.

since: 0.0.1

###### gm_display_panel_get_name

Gets the panel’s name.

since: 0.0.1

###### gm_display_panel_get_width

Gets the panels width in mm.

since: 0.0.1

###### gm_display_panel_get_x_res

Gets the panels resolution (in pixels) in the x direction.

since: 0.0.1

###### gm_display_panel_get_y_res

Gets the panels resolution (in pixels) in the y direction.

since: 0.0.1

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gm.DisplayPanel:border-radius

The corner radius of the panel edges in device pixels.

deprecated: 0.6.0 since: 0.0.1

###### Gm.DisplayPanel:corner-radii

The radii of the panels corner starting top-left and going clockwise.

since: 0.6.0

###### Gm.DisplayPanel:cutouts

The display cutouts as `GListModel` of `GmCutout`.

since: 0.0.1

###### Gm.DisplayPanel:height

The display height in millimeters.

since: 0.0.1

###### Gm.DisplayPanel:name

The name of the display.

since: 0.0.1

###### Gm.DisplayPanel:width

The display width in millimeters.

since: 0.0.1

###### Gm.DisplayPanel:x-res

The panel resolution in pixels in the x direction.

since: 0.0.1

###### Gm.DisplayPanel:y-res

The panel resolution in pixels in the y direction.

since: 0.0.1

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GmDisplayPanelClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.